Class MockIssueSearcher<T extends SearchableField>
java.lang.Object
com.atlassian.jira.issue.search.searchers.MockIssueSearcher<T>
- All Implemented Interfaces:
IssueSearcher<T>
- Direct Known Subclasses:
MockCustomFieldSearcher,MockSystemSearcher
public class MockIssueSearcher<T extends SearchableField>
extends Object
implements IssueSearcher<T>
A simple mock implementation of the
IssueSearcher interface for
testsing.- Since:
- v4.0
-
Field Summary
Fields inherited from interface com.atlassian.jira.issue.search.searchers.IssueSearcher
log -
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptionbooleangetField()getId()Provides an object that contains information about the Searcher.Provides an object that will allow you to transform raw request parameters to field holder values and field holder values toClausesearch representations.Provides an object that will allow you to render the edit and view html for a searcher.inthashCode()voidInitialises the searcher with a given field.voidsetInformation(SearcherInformation<T> information) voidsetRenderer(SearchRenderer renderer)
-
Constructor Details
-
MockIssueSearcher
-
-
Method Details
-
getId
-
setInformation
-
init
Description copied from interface:IssueSearcherInitialises the searcher with a given field.- Specified by:
initin interfaceIssueSearcher<T extends SearchableField>- Parameters:
field- the field object. This may be null. (So you can have searchers on non-fields)
-
getField
-
getSearchInformation
Description copied from interface:IssueSearcherProvides an object that contains information about the Searcher.- Specified by:
getSearchInformationin interfaceIssueSearcher<T extends SearchableField>- Returns:
- the search information provider for this searcher.
-
getSearchInputTransformer
Description copied from interface:IssueSearcherProvides an object that will allow you to transform raw request parameters to field holder values and field holder values toClausesearch representations.- Specified by:
getSearchInputTransformerin interfaceIssueSearcher<T extends SearchableField>- Returns:
- the search input handler for this searcher.
-
getSearchRenderer
Description copied from interface:IssueSearcherProvides an object that will allow you to render the edit and view html for a searcher. This also provides methods that indicate if the view and edit methods should be invoked.- Specified by:
getSearchRendererin interfaceIssueSearcher<T extends SearchableField>- Returns:
- the search renderer for this searcher.
-
setRenderer
-
equals
-
hashCode
public int hashCode()
-